a=int(input('有多少个菜'))
n=int(input('把饭煮熟要几分钟'))
z=0
for i in range(a):
    c=int(input('一个菜煮好要几分钟'))
    b=int(input('一个菜洗好要几分钟'))
    z=z+c+b
if z>=n:
    print('需要花费',z)
else:
    print('需要花费',z+(n-z))
    
